/*
 *  CreateOneMode
 *
 *  Create the all fonts of one mode (defined via xdpi/ydpi and Modes file).
 *
 */

parse arg xdpi ydpi pkdir .

SIGNAL ON ERROR
SIGNAL ON FAILURE
SIGNAL ON BREAK_C
SIGNAL ON BREAK_D

flistdir = "MF:config/fontlist"
CMagBatch = "MF:rexx/CreateMagBatch"
BatchFile = "RAM:MagBatch.sh"

magmult.0  = 13

magmult.num.1  = 1.000000	/* magstep(0)   */
magmult.str.1  = "0"
magmult.num.2  = 1.095445	/* magstep(0.5) */
magmult.str.2  = "0.5"
magmult.num.3  = 1.200000	/* magstep(1)   */
magmult.str.3  = "1"
magmult.num.4  = 1.314534	/* magstep(1.5) */
magmult.str.4  = "1.5"
magmult.num.5  = 1.440000	/* magstep(2)	*/
magmult.str.5  = "2"
magmult.num.6  = 1.577441	/* magstep(2.5)	*/
magmult.str.6  = "2.5"
magmult.num.7  = 1.728000	/* magstep(3)	*/
magmult.str.7  = "3"
magmult.num.8  = 2.073600	/* magstep(4)	*/
magmult.str.8  = "4"
magmult.num.9  = 2.488320	/* magstep(5)	*/
magmult.str.9  = "5"
magmult.num.10 = 2.985984	/* magstep(6)	*/
magmult.str.10 = "6"
magmult.num.11 = 3.583180	/* magstep(7)	*/
magmult.str.11 = "7"
magmult.num.12 = 4.299817	/* magstep(8)	*/
magmult.str.12 = "8"
magmult.num.13 = 5.159780	/* magstep(9)	*/
magmult.str.13 = "9"


DO i=1 TO magmult.0
 
  flist = flistdir"/flst-"magmult.str.i
  IF exists(flist) THEN DO
    dpi = xdpi * magmult.num.i + 0.5
    dpi = dpi % 1
    
    pkdest = pkdir""dpi
    IF ~exists(pkdest) THEN address command 'makedir 'pkdest
    CMagBatch flist dpi xdpi ydpi pkdest"/"
    
    address command 'execute 'BatchFile
  END

END



EXIT 0

/*---------------------------------*/


BREAK_C:
BREAK_D:
ERROR:
FAILURE:
         EXIT 5
