/*RX
	MakeBatch 0.90 */
/* Send new features and bug reports to 
   
   Martin Bokaemper
   Reuthstr. 12
   W-8521 Poxdorf
   Germany

   Email:  mnbokaem@cip.e-technik.uni-erlangen.de 
           Zerberus: mab@ame.ZER 

History:
0.80: My 'works-fine-for-me' version slightly modified by Georg Hessmann 13.4.91
      + set script bit of the batchfile 

0.81: + take new Parameters 'drivertype' and 'pkfilename' 
      Georg Hessmann 17.4.91
      
0.82: + History 
      + some small changes 
      Martin Bokaemper 17.4.91

0.83: + improved batchfile creation
      + More messages for the user
      J\"org H\"ohle 25.4.91

0.84: + add new parameter 'pkdir' (new since driver version V1.10)
      + add the dummy variable
      Georg Hessmann 9.6.91

0.85/6: + bumped revision number because of MakeTeXFont
      + changed script file extension to .sh
      J\"org H\"ohle 6.8.91
0.90: + bumped revision number because of MakeTeXFont
      Georg Hessmann 28-Aug-91
*/
          
batchname = "mf:MakeTeXFont.sh"

/* TRACE RESULTS */

IF ~show('Libraries', 'rexxsupport.library') THEN DO
        IF ~addlib('rexxsupport.library', 0, -30) THEN DO
                say "No RexxSupport ... no Metafont"
                EXIT 10
        END
END

ADDRESS COMMAND

IF ~exists(batchname) THEN DO
        IF ~OPEN(batchfile,batchname,'W') THEN DO
                say "MakeBatch: Could not create "batchname" !"
                EXIT 10
        END; ELSE DO
                CALL WRITELN(batchfile,";# Batchfile for font generation")
                IF CLOSE(batchfile) THEN DO
                        'protect 'batchname' ADD s'
                        say "MakeBatch: Batchfile "batchname" created."
                END; ELSE DO
                        say "MakeBatch: Error during creation of "batchname" !"
                        EXIT 10
                END
        END
END

PARSE ARG parameters
PARSE VALUE parameters WITH fntname dpi hbasedpi vbasedpi drivertype pkfilename pkdir .

/* Only ShowDVI and DVIprint of version>=1.08 supply arguments
<drivertype> (show/print) and <pkfilename> (for example "120/cmr10.pk") */

/* Only ShowDVI and DVIprint of version>=1.10 supply the argument <pkdir> */

/**
say "MakeBatch: Font named = "fntname" with dpi = "dpi" and base x = "hbasedpi"  y = "vbasedpi
IF drivertype ~== "" THEN say " for driver = "drivertype", pkname = "pkfilename
**/

message = 'rx MakeTeXFont 'parameters

'search >NIL: 'batchname' "'message'"'
/* better : search for fntname, dpi, hbasedpi and vbasedpi only? */

IF rc~=0 THEN DO
        IF ~open(batchfile, batchname, 'Append') THEN DO
                say "MakeBatch: Can't open "batchname" to add new entry"
                EXIT 10
        END
  
        dummy = writeln(batchfile,message)
  
        IF close(batchfile) THEN 
                say "MakeBatch: New entry added for "fntname dpi" dpi"
        ELSE DO
                say "MakeBatch: Error while adding new entry!"
                EXIT 10
        END
END; ELSE 
        say "MakeBatch: Entry already exists!"

EXIT 0
